package com.yifu.cloud.plus.v1.yifu.auth.util;

/**
 * 三方登录服务接入
 */
public interface LoginService {

	public <T extends LoginProperties> T getProperties();

	/**
	 * 加载第三方授权页
	 * @return String
	 */
	String loadAuthPage();

	/**
	 * 加载第三方授权页
	 * @param state 数据声明
	 * @return String
	 */
	String loadAuthPage(String state);

}
